package org.pi3.servlet.samples;

import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;
import java.util.Enumeration;

public class CookieServlet extends HttpServlet {
  public void doGet( HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException
    {
      StringBuffer sbuf = new StringBuffer("<H1>Cookie Test</H1><HR>\r\n");

      String s = request.getHeader("Cookie");
      if ( s != null ) {
          sbuf.append("<p>Cookie = " + s);
      } else {
          Cookie c = new Cookie("Test", "This is a cookie test");
          c.setComment("This is only a stupid cookie test");
          c.setMaxAge(100000);
          c.setVersion(1);
          response.addCookie(c);

          c = new Cookie("Another", "This is another cookie test");
          c.setComment("This is another stupid cookie test");
          c.setMaxAge(100000);
          c.setVersion(1);
          response.addCookie(c);

          sbuf.append("<p>No cookies in request, so I added them for testing.");
          sbuf.append("<p>Now press refresh to load this servlet again.");
      }

      s = sbuf.toString();
      response.setContentType("text/html; charset=utf-8");
      response.setContentLength(s.length());
      response.getOutputStream().print(s);
    }
  }