package org.pi3.servlet.samples;

import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;

public class PostServlet1 extends HttpServlet {
  public void doPost( HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException
    {
        int len = request.getContentLength();
        StringBuffer sbuf = new StringBuffer("<H1>Servlet POST Test 1</H1><HR>\r\n");
        sbuf.append("<p>Using <b>Reader</b> and <b>ServletOutputStream</b> objects for the Servlet I/O.");
        sbuf.append("<p><b>Request ContentLength: </b>" + len);
        sbuf.append("<p><b>Request ContentType: </b>" + request.getContentType());
        sbuf.append("<p><b>Request Character Encoding: </b>" + request.getCharacterEncoding());
        sbuf.append("<p><b>Received Client Data: </b>");
        char[] arr = new char[len];
        request.getReader().read(arr, 0, len);
        sbuf.append(arr);
        String s = sbuf.toString();
        response.setContentLength(s.length() + arr.length);
        response.setContentType("text/html; charset=utf-8");
        ServletOutputStream out = response.getOutputStream();
        out.print(s);
        out.flush();
    }
  }